#ifndef EDITARRECETA_H
#define EDITARRECETA_H

#include <QDialog>

namespace Ui {
class EditarReceta;
}

/**
 * @brief EditarReceta class.
 * Clase que hereda de QDialog encargada de la administracion de ventanas para la edicion de recetas en archivos de texto.
 */

class EditarReceta : public QDialog
{
    Q_OBJECT

public:

    /**
     * @brief EditarReceta
     * Constuctor de la clase.
     * @param parent Parametro que indica que es una ventana al ser cero (0) por defecto.
     */
    explicit EditarReceta(QWidget *parent = 0);

    /**
    *Destructor de la clase.
    */
    ~EditarReceta();

private slots:

    /**
     * @brief on_FinEdit_clicked
     * Finaliza la edicion, envia los datos y los guarda correctamente.
     */
    void on_FinEdit_clicked();

    /**
     * @brief on_VolverEdit_released
     * Regresa a la pagina anterior.
     */
    void on_VolverEdit_released();

    /**
     * @brief on_RecetaEdit_released
     * Abre los archivos de texto para editarlos correctamente.
     */
    void on_RecetaEdit_released();

private:
    /**
     * @brief ui
     * Variable puntero para el manejo de la interfaz.
     */
    Ui::EditarReceta *ui;
};

#endif // EDITARRECETA_H
