#ifndef VERRECETA_H
#define VERRECETA_H

#include <QDialog>

namespace Ui {
class VerReceta;
}

/**
 * @brief VerReceta class
 * Clase que hereda de QDialog encargada de la administracion de ventanas para ver recetas.
 */
class VerReceta : public QDialog
{
    Q_OBJECT

public:

    /**
     * @brief VerReceta
     * Constuctor de la clase.
     * @param parent Parametro que indica que es una ventana al ser cero (0) por defecto.
     */
    explicit VerReceta(QWidget *parent = 0);

    /**
    *Destructor de la clase.
    */
    ~VerReceta();

private slots:

    /**
     * @brief on_Abrir_clicked
     * Despliega la receta seleccionada por pantalla.
     */
    void on_Abrir_clicked();

    /**
     * @brief on_Youtube_clicked
     * Redirige a la pagina web YouTube con los resultados de la busqueda de la receta seleccionada.
     */
    void on_Youtube_clicked();

    /**
     * @brief on_Eliminar_clicked
     * Elimina la receta seleccionada.
     */
    void on_Eliminar_clicked();

    /**
     * @brief on_Volver_released
     * Regresa a la pagina anterior.
     */
    void on_Volver_released();

private:

    /**
     * @brief ui
     * Variable puntero para el manejo de la interfaz.
     */
    Ui::VerReceta *ui;
};

#endif // VERRECETA_H
